<?php 

class SelectDate {

  private $scope;
  private $label;
  private $date;
  private $iterator;
  private $timeStamp;

  public function __construct($entry) {
    if (isset($entry)) {
      $this->date = $entry->date;
      $this->scope  = $entry->scope;
      $this->label  = $entry->label;
      $this->iterator = $entry->iterator;
    }      
  }
  
  public function outputLayout() {

  $layout = "
<label for='$this->scope'>$this->label<br>
  <input type='date' id=$this->scope class=$this->iterator name='$this->scope' value='$this->date'>
</label>
    "; 

    return $layout;
  }

  public function outputScript() {

    $script = "";

    return $script;
  }
}

?>

